#ifndef PACKAGEVERSION_H
#define PACKAGEVERSION_H

/* This header defines functions for use in Defining Package
 * based version numbers.
 *
 * The way these functions work:
 *
 * The package should have a header which defines:
 * PACKAGEVERSION $Revision: 1.1 $
 * then includes this header.
 *
 * The user will then have access to the major
 * and minor version numbers of the package based
 * on the CVS revision tag of the header.
 *
 * See the provided "version.h" for an example
 *
 * When the program version is to be updated,
 * the user should force a commit of the version header
 * (this will update its revision tag)
 *
 * This change will then register in any place where
 * the different macros are used
 */ 

extern "C" {
extern char* PackageVersion(const char*);
extern int   PackageMajorVersion(const char*);
extern int   PackageMinorVersion(const char*);
}
#endif /* PACKAGEVERSION_H */
