/**************************************************
 * This header provides the interface to retrieve *
 * a version number (major/minor) from the CVS    *
 * revision tag that is embedded in the file      *
 *                                                *
 * Specifically it is designed to such that when  *
 * this header is checked into CVS with a forced  *
 * version update (cvs ci -f ) it will take the   *
 * resulting number and provide it as a macro     *
 * value to the program                           *
 *                                                *
 * The user can then do things like:              *
 * int myVer = PACKAGE_MAJOR_VERSION;             *
 * or                                             *
 * printf("This package is version %d-%d\n",      *
 *        PACKAGE_MAJOR_VERSION,                  *
 *        PACKAGE_MINOR_VERSION);                 *
 *                                                *
 * anorman@fnal.gov 17-NOV-2010                   *
 **************************************************/

#ifndef PACKAGEVERSION
#define PACKAGEVERSION "$Revision: 1.1 $"
#define PACKAGE_VERSION       PackageVersion(PACKAGEVERSION)
#define PACKAGE_MAJOR_VERSION PackageMajorVersion(PACKAGEVERSION)
#define PACKAGE_MINOR_VERSION PackageMinorVersion(PACKAGEVERSION)
#endif
#include "PackageVersion/PackageVersion.h"
